﻿using System;

namespace ConsoleApp1
{
    class Program
    {
        static unsafe void Main(string[] args)
        {
            int sourceValue1 = 100;
            float sourceValue2 = 100f;
            double sourceValue3 = 100d;

            Console.WriteLine(Convert.ToString(sourceValue1, 2).ToString());
            string binaryString1 = Class1.GetBinaryString(sourceValue1);
            Console.WriteLine(binaryString1 + " : " + sourceValue1 + ", 0x" + sourceValue1.ToString("x"));
            Console.WriteLine($"0x{sourceValue1:x}");
            Console.WriteLine();

            int intValue = *(int*)&sourceValue2;
            Console.WriteLine(Convert.ToString(intValue, 2).ToString());
            Console.WriteLine(Convert.ToString(BitConverter.SingleToInt32Bits(sourceValue2), 2).ToString());
            
            string binaryString2 = Class1.GetBinaryString(sourceValue2);
            Console.WriteLine(binaryString2 + " : " + sourceValue2 + ", 0x" + intValue.ToString("x"));
            Console.WriteLine();

            long longValue = *(long*)&sourceValue3;
            Console.WriteLine(Convert.ToString(longValue, 2).ToString());
            Console.WriteLine(Convert.ToString(BitConverter.DoubleToInt64Bits(sourceValue3), 2).ToString());
            string binaryString3 = Class1.GetBinaryString(sourceValue3);
            Console.WriteLine(binaryString3 + " : " + sourceValue3 + ", 0x" + longValue.ToString("x"));
            Console.WriteLine();
        }
    }
}
